<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Allgemein\Willkommen\Willkommen;

class WillkommenController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new WillkommenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    return new WillkommenRequest();
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new WillkommenPresenter($pUseCaseResponse);
  }
}